#!/bin/bash
# Filename: siege_install.sh
# Function: Benchmark tools for web


### Define Variables
siege_ver=3.1.4        # siege version
cpu_core=$(grep -c processor /proc/cpuinfo)

curl -L -s https://down.vqiu.cn/package/tarball/benchmark/siege-${siege_ver}.tar.gz -O
tar xf siege-${siege_ver}.tar.gz
cd siege-${siege_ver}
./configure
make -j${cpu_core}
make install
clear
echo "Example: seige -c number -r nubuer -f url_file"
